package com.tmerclub.cloud.product.vo;

import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lanhai
 */
public class TakeStockSpuExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    public static final String EXCEL_NAME = "盘点商品导入模板";

    public static final String SHEET_NAME = "盘点商品导入模板";

    public static final int MERGE_ROW_INDEX = 2;

    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty(value = {"盘点商品明细", "商品编码(必填*)"}, index = 0)
    private String partyCode;

    @ExcelProperty(value = {"盘点商品明细", "商品名称"}, index = 1)
    private String spuName;

    @ExcelProperty(value = {"盘点商品明细", "商品规格"}, index = 2)
    private String skuName;

    @ExcelProperty(value = {"盘点商品明细", "盘点数量"}, index = 3)
    private Integer changeStock;

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public Integer getChangeStock() {
        return changeStock;
    }

    public void setChangeStock(Integer changeStock) {
        this.changeStock = changeStock;
    }

    @Override
    public String toString() {
        return "TakeStockSpuExcelVO{" +
                "partyCode='" + partyCode + '\'' +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", changeStock=" + changeStock +
                '}';
    }
}
